## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate anstream

Name:           rust-anstream
Version:        0.6.14
Release:        %autorelease
Summary:        Simple cross platform library for writing colored text to a terminal

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/anstream
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          anstream-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only divan dev-dependency
# * drop unnecessary is-terminal polyfill (MSRV 1.65 -> 1.70 is OK downstream)
Patch:          anstream-fix-metadata.diff
Patch:          0001-drop-is_terminal_polyfill-and-replace-with-std-io-Is.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A simple cross platform library for writing colored text to a terminal.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+auto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+auto-devel %{_description}

This package contains library source intended for building other packages which
use the "auto" feature of the "%{crate}" crate.

%files       -n %{name}+auto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test-devel %{_description}

This package contains library source intended for building other packages which
use the "test" feature of the "%{crate}" crate.

%files       -n %{name}+test-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wincon-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wincon-devel %{_description}

This package contains library source intended for building other packages which
use the "wincon" feature of the "%{crate}" crate.

%files       -n %{name}+wincon-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue Jul 02 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.14-1
- Update to version 0.6.14; Fixes RHBZ#2278697

* Thu Feb 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.13-1
- Update to version 0.6.13; Fixes RHBZ#2266420

* Sun Feb 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.12-1
- Update to version 0.6.12; Fixes RHBZ#2264707

* Tue Jan 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.11-1
- Update to version 0.6.11; Fixes RHBZ#2258660

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 13 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.7-1
- Update to version 0.6.7; Fixes RHBZ#2257999

* Thu Jan 11 2024 Fabio Valentini <decathorpe@gmail.com> - 0.6.5-1
- Update to version 0.6.5; Fixes RHBZ#2253665

* Sat Oct 14 2023 Fabio Valentini <decathorpe@gmail.com> - 0.6.4-1
- Update to version 0.6.4; Fixes RHBZ#2241248

* Wed Sep 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.0-1
- Update to version 0.5.0; Fixes RHBZ#2233887

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu May 11 2023 Fabio Valentini <decathorpe@gmail.com> - 0.3.2-1
- Update to version 0.3.2; Fixes RHBZ#2193417

* Sat Apr 08 2023 Fabio Valentini <decathorpe@gmail.com> - 0.2.6-1
- Initial import (#2183204)
## END: Generated by rpmautospec
